Subject: Re: 23.2.50; Initial input of dired touch command not correct

From: Glenn Morris <[email-masked]>
Date: Tue, 01 Mar 2011 03:35:28 -0500

Thierry Volpiatto wrote:

> i have already posted on emacs-dev, and i had no answer, so i assume
> there is no good reason to use the more recent file of the marked files
> as reference timestamp for all the marked files.

I don't see the behaviour that you describe, but I am confused by what
the point of dired-touch-initial is supposed to be (cc: to original
author).

If there is one file, it always returns the current timestamp of that
file.

If there are multiple files, if they all happen to have the same
timestamp, it will return that time.
If any one of them has a different time-stamp, it returns the current
time.

I'm having a hard time seeing what this is supposed to be useful for.